package com.fs.hisStore.service;


import com.fs.hisStore.domain.SysOperLogScrm;

import java.util.List;

/**
 * 店铺管理Service接口
 *
 * @author fs
 * @date 2023-06-15
 */
public interface IFsHisStoreAuditLogScrmService
{
    /**
     * 需要配个Log注解使用，编码目的为扩充日志内容，当前适用于店铺和商品审核
     * */
    void addBatchAudit(List<Long> ids, String reason, String attachImage);


    void addAudit(Long id, String reason, String attachImage);

    void generateOperId();

    /**
     * 根据商品id获取商品审核信息
     * */
    List<SysOperLogScrm> selectOperLogByMainId(Long productId);

}
